scala.math.Numeric

# FloatIsFractional

###
Related Docs: object FloatIsFractional | package Numeric

#### trait FloatIsFractional extends FloatIsConflicted with Fractional[Float]

Source
  Numeric.scala

Linear Supertypes
Fractional[Float], FloatIsConflicted, Numeric[Float], Ordering[Float], PartialOrdering[Float], Equiv[Float], Serializable, java.io.Serializable, Comparator[Float], AnyRef, Any
Known Subclasses
FloatIsFractional
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. FloatIsFractional
2. Fractional
3. FloatIsConflicted
4. Numeric
5. Ordering
6. PartialOrdering
7. Equiv
8. Serializable
9. Serializable
10. Comparator
11. AnyRef
12. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Type Members

1. #### class FractionalOps extends Ops

   Definition Classes
     Fractional

2. #### class Ops extends AnyRef

   Definition Classes
     Numeric

### Abstract Value Members

1. #### abstract def compare(x: Float, y: Float): Int

   Returns an integer whose sign communicates how x compares to y.

   Returns an integer whose sign communicates how x compares to y.

   The result sign has the following meaning:

   - negative if x < y
   - positive if x > y
   - zero otherwise (if x == y)
   Definition Classes
     Ordering → Comparator

### Concrete Value Members

1. #### final def !=(arg0: Any): Boolean

   Test two objects for inequality.

   Test two objects for inequality.

   returns

     `true` if !(this == that), false otherwise.

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Equivalent to `x.hashCode` except for boxed numeric types and `null`.

   Equivalent to `x.hashCode` except for boxed numeric types and `null`. For numerics, it returns a hash value which is consistent with value equality: if two value type instances compare as true, then ## will produce the same hash value for each of them. For `null` returns a hashcode where `null.hashCode` throws a `NullPointerException`.

   returns

     a hash value consistent with ==

   Definition Classes
     AnyRef → Any

3. #### def +(other: String): String

   Implicit information
     This member is added by an implicit conversion from FloatIsFractional to any2stringadd[FloatIsFractional] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd

4. #### def ->[B](y: B): (FloatIsFractional, B)

   Implicit information
     This member is added by an implicit conversion from FloatIsFractional to ArrowAssoc[FloatIsFractional] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()

5. #### final def ==(arg0: Any): Boolean

   The expression `x == that` is equivalent to `if (x eq null) that eq null else x.equals(that)`.

   The expression `x == that` is equivalent to `if (x eq null) that eq null else x.equals(that)`.

   returns

     `true` if the receiver object is equivalent to the argument; `false` otherwise.

   Definition Classes
     AnyRef → Any

6. #### def abs(x: Float): Float

   Definition Classes
     FloatIsConflicted → Numeric

7. #### final def asInstanceOf[T0]: T0

   Cast the receiver object to be of type `T0`.

   Cast the receiver object to be of type `T0`.

   Note that the success of a cast at runtime is modulo Scala's erasure semantics. Therefore the expression `1.asInstanceOf[String]` will throw a `ClassCastException` at runtime, while the expression `List(1).asInstanceOf[List[String]]` will not. In the latter example, because the type argument is erased as part of compilation it is not possible to check whether the contents of the list are of the requested type.

   returns

     the receiver object.

   Definition Classes
     Any
   Exceptions thrown

     `ClassCastException` if the receiver object is not an instance of the erasure of type `T0`.

8. #### def clone(): AnyRef

   Create a copy of the receiver object.

   Create a copy of the receiver object.

   The default implementation of the `clone` method is platform dependent.

   returns

     a copy of the receiver object.

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @IntrinsicCandidate() @throws( ... )
   Note

     not specified by SLS as a member of AnyRef

9. #### def div(x: Float, y: Float): Float

   Definition Classes
     FloatIsFractional → Fractional

10. #### def ensuring(cond: (FloatIsFractional) ⇒ Boolean, msg: ⇒ Any): FloatIsFractional

    Implicit information
      This member is added by an implicit conversion from FloatIsFractional to Ensuring[FloatIsFractional] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

11. #### def ensuring(cond: (FloatIsFractional) ⇒ Boolean): FloatIsFractional

    Implicit information
      This member is added by an implicit conversion from FloatIsFractional to Ensuring[FloatIsFractional] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

12. #### def ensuring(cond: Boolean, msg: ⇒ Any): FloatIsFractional

    Implicit information
      This member is added by an implicit conversion from FloatIsFractional to Ensuring[FloatIsFractional] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

13. #### def ensuring(cond: Boolean): FloatIsFractional

    Implicit information
      This member is added by an implicit conversion from FloatIsFractional to Ensuring[FloatIsFractional] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

14. #### final def eq(arg0: AnyRef): Boolean

    Tests whether the argument (`that`) is a reference to the receiver object (`this`).

    Tests whether the argument (`that`) is a reference to the receiver object (`this`).

    The `eq` method implements an equivalence relation on non-null instances of `AnyRef`, and has three additional properties:

    - It is consistent: for any non-null instances `x` and `y` of type `AnyRef`, multiple invocations of `x.eq(y)` consistently returns `true` or consistently returns `false`.
    - For any non-null instance `x` of type `AnyRef`, `x.eq(null)` and `null.eq(x)` returns `false`.
    - `null.eq(null)` returns `true`.

    When overriding the `equals` or `hashCode` methods, it is important to ensure that their behavior is consistent with reference equality. Therefore, if two objects are references to each other (`o1 eq o2`), they should be equal to each other (`o1 == o2`) and they should hash to the same value (`o1.hashCode == o2.hashCode`).

    returns

      `true` if the argument is a reference to the receiver object; `false` otherwise.

    Definition Classes
      AnyRef

15. #### def equals(arg0: Any): Boolean

    The equality method for reference types.

    The equality method for reference types. Default implementation delegates to `eq`.

    See also `equals` in scala.Any.

    returns

      `true` if the receiver object is equivalent to the argument; `false` otherwise.

    Definition Classes
      AnyRef → Any

16. #### def equiv(x: Float, y: Float): Boolean

    Return true if `x` == `y` in the ordering.

    Return true if `x` == `y` in the ordering.

    Definition Classes
      Ordering → PartialOrdering → Equiv

17. #### def formatted(fmtstr: String): String

    Returns string formatted according to given `format` string.

    Returns string formatted according to given `format` string. Format strings are as for `String.format` (@see java.lang.String.format).

    Implicit information
      This member is added by an implicit conversion from FloatIsFractional to StringFormat[FloatIsFractional] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()

18. #### def fromInt(x: Int): Float

    Definition Classes
      FloatIsConflicted → Numeric

19. #### final def getClass(): Class[_]

    A representation that corresponds to the dynamic class of the receiver object.

    A representation that corresponds to the dynamic class of the receiver object.

    The nature of the representation is platform dependent.

    returns

      a representation that corresponds to the dynamic class of the receiver object.

    Definition Classes
      AnyRef → Any
    Annotations
      @IntrinsicCandidate()
    Note

      not specified by SLS as a member of AnyRef

20. #### def gt(x: Float, y: Float): Boolean

    Return true if `x` > `y` in the ordering.

    Return true if `x` > `y` in the ordering.

    Definition Classes
      Ordering → PartialOrdering

21. #### def gteq(x: Float, y: Float): Boolean

    Return true if `x` >= `y` in the ordering.

    Return true if `x` >= `y` in the ordering.

    Definition Classes
      Ordering → PartialOrdering

22. #### def hashCode(): Int

    The hashCode method for reference types.

    The hashCode method for reference types. See hashCode in scala.Any.

    returns

      the hash code value for this object.

    Definition Classes
      AnyRef → Any
    Annotations
      @IntrinsicCandidate()

23. #### final def isInstanceOf[T0]: Boolean

    Test whether the dynamic type of the receiver object is `T0`.

    Test whether the dynamic type of the receiver object is `T0`.

    Note that the result of the test is modulo Scala's erasure semantics. Therefore the expression `1.isInstanceOf[String]` will return `false`, while the expression `List(1).isInstanceOf[List[String]]` will return `true`. In the latter example, because the type argument is erased as part of compilation it is not possible to check whether the contents of the list are of the specified type.

    returns

      `true` if the receiver object is an instance of erasure of type `T0`; `false` otherwise.

    Definition Classes
      Any

24. #### def lt(x: Float, y: Float): Boolean

    Return true if `x` < `y` in the ordering.

    Return true if `x` < `y` in the ordering.

    Definition Classes
      Ordering → PartialOrdering

25. #### def lteq(x: Float, y: Float): Boolean

    Return true if `x` <= `y` in the ordering.

    Return true if `x` <= `y` in the ordering.

    Definition Classes
      Ordering → PartialOrdering

26. #### def max(x: Float, y: Float): Float

    Return `x` if `x` >= `y`, otherwise `y`.

    Return `x` if `x` >= `y`, otherwise `y`.

    Definition Classes
      Ordering

27. #### def min(x: Float, y: Float): Float

    Return `x` if `x` <= `y`, otherwise `y`.

    Return `x` if `x` <= `y`, otherwise `y`.

    Definition Classes
      Ordering

28. #### def minus(x: Float, y: Float): Float

    Definition Classes
      FloatIsConflicted → Numeric

29. #### implicit def mkNumericOps(lhs: Float): FractionalOps

    Definition Classes
      Fractional → Numeric

30. #### implicit def mkOrderingOps(lhs: Float): FloatIsFractional.Ops

    This implicit method augments `T` with the comparison operators defined in `scala.math.Ordering.Ops`.

    This implicit method augments `T` with the comparison operators defined in `scala.math.Ordering.Ops`.

    Definition Classes
      Ordering

31. #### final def ne(arg0: AnyRef): Boolean

    Equivalent to `!(this eq that)`.

    Equivalent to `!(this eq that)`.

    returns

      `true` if the argument is not a reference to the receiver object; `false` otherwise.

    Definition Classes
      AnyRef

32. #### def negate(x: Float): Float

    Definition Classes
      FloatIsConflicted → Numeric

33. #### final def notify(): Unit

    Wakes up a single thread that is waiting on the receiver object's monitor.

    Wakes up a single thread that is waiting on the receiver object's monitor.

    Definition Classes
      AnyRef
    Annotations
      @IntrinsicCandidate()
    Note

      not specified by SLS as a member of AnyRef

34. #### final def notifyAll(): Unit

    Wakes up all threads that are waiting on the receiver object's monitor.

    Wakes up all threads that are waiting on the receiver object's monitor.

    Definition Classes
      AnyRef
    Annotations
      @IntrinsicCandidate()
    Note

      not specified by SLS as a member of AnyRef

35. #### def on[U](f: (U) ⇒ Float): Ordering[U]

    Given f, a function from U into T, creates an Ordering[U] whose compare function is equivalent to:

    Given f, a function from U into T, creates an Ordering[U] whose compare function is equivalent to:

        def compare(x:U, y:U) = Ordering[T].compare(f(x), f(y))

    Definition Classes
      Ordering

36. #### def one: Float

    Definition Classes
      Numeric

37. #### def plus(x: Float, y: Float): Float

    Definition Classes
      FloatIsConflicted → Numeric

38. #### def reverse: Ordering[Float]

    Return the opposite ordering of this one.

    Return the opposite ordering of this one.

    Definition Classes
      Ordering → PartialOrdering

39. #### def reversed(): Comparator[Float]

    Definition Classes
      Comparator

40. #### def signum(x: Float): Int

    Definition Classes
      Numeric

41. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

42. #### def thenComparing[U <: Comparable[_ >: U]](arg0: java.util.function.Function[_ >: Float, _ <: U]): Comparator[Float]

    Definition Classes
      Comparator

43. #### def thenComparing[U](arg0: java.util.function.Function[_ >: Float, _ <: U], arg1: Comparator[_ >: U]): Comparator[Float]

    Definition Classes
      Comparator

44. #### def thenComparing(arg0: Comparator[_ >: Float]): Comparator[Float]

    Definition Classes
      Comparator

45. #### def thenComparingDouble(arg0: ToDoubleFunction[_ >: Float]): Comparator[Float]

    Definition Classes
      Comparator

46. #### def thenComparingInt(arg0: ToIntFunction[_ >: Float]): Comparator[Float]

    Definition Classes
      Comparator

47. #### def thenComparingLong(arg0: ToLongFunction[_ >: Float]): Comparator[Float]

    Definition Classes
      Comparator

48. #### def times(x: Float, y: Float): Float

    Definition Classes
      FloatIsConflicted → Numeric

49. #### def toDouble(x: Float): Double

    Definition Classes
      FloatIsConflicted → Numeric

50. #### def toFloat(x: Float): Float

    Definition Classes
      FloatIsConflicted → Numeric

51. #### def toInt(x: Float): Int

    Definition Classes
      FloatIsConflicted → Numeric

52. #### def toLong(x: Float): Long

    Definition Classes
      FloatIsConflicted → Numeric

53. #### def toString(): String

    Creates a String representation of this object.

    Creates a String representation of this object. The default representation is platform dependent. On the java platform it is the concatenation of the class name, "@", and the object's hashcode in hexadecimal.

    returns

      a String representation of the object.

    Definition Classes
      AnyRef → Any

54. #### def tryCompare(x: Float, y: Float): Some[Int]

    Returns whether a comparison between `x` and `y` is defined, and if so the result of `compare(x, y)`.

    Returns whether a comparison between `x` and `y` is defined, and if so the result of `compare(x, y)`.

    Definition Classes
      Ordering → PartialOrdering

55. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

56. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

57. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

58. #### def zero: Float

    Definition Classes
      Numeric

59. #### def →[B](y: B): (FloatIsFractional, B)

    Implicit information
      This member is added by an implicit conversion from FloatIsFractional to ArrowAssoc[FloatIsFractional] performed by method ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Deprecated Value Members

1. #### def finalize(): Unit

   Called by the garbage collector on the receiver object when there are no more references to the object.

   Called by the garbage collector on the receiver object when there are no more references to the object.

   The details of when and if the `finalize` method is invoked, as well as the interaction between `finalize` and non-local returns and exceptions, are all platform dependent.

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @Deprecated @deprecated @throws( classOf[java.lang.Throwable] )
   Deprecated

     (Since version ) see corresponding Javadoc for more information.

   Note

     not specified by SLS as a member of AnyRef

### Inherited from Fractional[Float]

### Inherited from FloatIsConflicted

### Inherited from Numeric[Float]

### Inherited from Ordering[Float]

### Inherited from PartialOrdering[Float]

### Inherited from Equiv[Float]

### Inherited from Serializable

### Inherited from java.io.Serializable

### Inherited from Comparator[Float]

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from FloatIsFractional to any2stringadd[FloatIsFractional]

### Inherited by implicit conversion StringFormat from FloatIsFractional to StringFormat[FloatIsFractional]

### Inherited by implicit conversion Ensuring from FloatIsFractional to Ensuring[FloatIsFractional]

### Inherited by implicit conversion ArrowAssoc from FloatIsFractional to ArrowAssoc[FloatIsFractional]

### Ungrouped